Delete Framework
DELETEhttps://api.confident-ai.com/v2/rt-frameworks/{rtFrameworkId}
Permanently deletes a red teaming framework and its risk categories. Risk assessments already run from it are kept.
curl -X DELETE "https://api.confident-ai.com/v2/rt-frameworks/{rtFrameworkId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "<RT-FRAMEWORK-ID>"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
rtFrameworkIdstringRequiredThe id of the red teaming framework.
Response
Delete Framework succeeded.
successbooleanIndicates if the request was successful.
dataobjectA reference to a red teaming framework by its id.
Show 1 propertyHide 1 property
idstringThe id of the framework, generated by Confident AI.
deprecatedbooleanIndicates if this endpoint is deprecated.